package com.bonus.canteen.core.nutrition.common.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import javax.validation.constraints.NotBlank;
import com.bonus.canteen.core.common.page.PageDTO;

import java.time.LocalDate;

@ApiModel("分页查询人员体检报告")
public class HealthCustMedicalReportPageDTO extends PageDTO {
   @ApiModelProperty("人员id")
   private @NotBlank(
   message = "人员id不能为空!"
) Long custId;
   @ApiModelProperty("体检日期")
   private LocalDate medicalDate;


   public Long getCustId() {
      return this.custId;
   }

   public LocalDate getMedicalDate() {
      return this.medicalDate;
   }

   public void setCustId(final Long custId) {
      this.custId = custId;
   }

   public void setMedicalDate(final LocalDate medicalDate) {
      this.medicalDate = medicalDate;
   }

   public String toString() {
      Long var10000 = this.getCustId();
      return "HealthCustMedicalReportPageDTO(custId=" + var10000 + ", medicalDate=" + String.valueOf(this.getMedicalDate()) + ")";
   }
}
